This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 227795 - cannot start with cirrus logic gd 5446 (qemu)
cannot start with cirrus logic gd 5446 (qemu)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-cirrus (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-08 01:12 EST by Dimitri
Modified: 2008-05-06 21:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:08:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -v (19.33 KB, image/png)
2007-02-08 01:12 EST, Dimitri
no flags Details
xorg error (16.86 KB, image/png)
2007-02-08 01:12 EST, Dimitri
no flags Details
default xorg.conf (1.59 KB, text/plain)
2007-02-12 13:22 EST, Dimitri
no flags Details
Xorg.0.log with conf (9.96 KB, text/plain)
2007-02-12 13:22 EST, Dimitri
no flags Details
Xorg.0.log without conf (29.85 KB, text/plain)
2007-02-12 13:24 EST, Dimitri
no flags Details

  None (edit)
Description Dimitri 2007-02-08 01:12:13 EST
rawhide from 2007-02-05

attaching details
Comment 1 Dimitri 2007-02-08 01:12:13 EST
Created attachment 147633 [details]
lspci -v
Comment 2 Dimitri 2007-02-08 01:12:51 EST
Created attachment 147634 [details]
xorg error
Comment 3 Matěj Cepl 2007-02-08 02:42:28 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Dimitri 2007-02-12 13:22:12 EST
Created attachment 147917 [details]
default xorg.conf
Comment 5 Dimitri 2007-02-12 13:22:47 EST
Created attachment 147918 [details]
Xorg.0.log with conf
Comment 6 Dimitri 2007-02-12 13:24:36 EST
Created attachment 147919 [details]
Xorg.0.log without conf
Comment 7 Dimitri 2007-02-12 13:25:59 EST
Added, thanks
Comment 8 Adam Jackson 2007-02-26 15:24:19 EST
Where did you get that xorg.conf from?  It doesn't look like it was generated
with any recent version of rhpxl.

Anyway the bug is that the cirrus driver is incapable of knowing when it's
running in a qemu, and therefore artificially limits what sizes you can use. 
And, in this case, picks a maximum pixel clock lower than the minimum pixel
clock, and therefore filters away all video modes.

Using DefaultDepth 16 in xorg.conf would be a workaround for now.
Comment 9 Adam Jackson 2007-03-27 11:38:22 EDT
Also I hear qemu is moving to use the vmware driver in the future, which won't
have this problem.  Leaving open until that actually happens though.
Comment 10 Bug Zapper 2008-04-03 15:03:31 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 11 Bug Zapper 2008-05-06 21:08:50 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.